# ltable.h File Reference

`#include "lobject.h"`

Go to the source code of this file.

## Defines
#define | gnode(t, i) (&(t)->node[i])
#define | gkey(n) (&(n)->i_key.nk)
#define | gval(n) (&(n)->i_val)
#define | gnext(n) ((n)->i_key.nk.next)
#define | key2tval(n) (&(n)->i_key.tvk)
## Functions
LUAI_FUNC const TValue * | luaH_getnum (Table *t, int key)
LUAI_FUNC TValue * | luaH_setnum (lua_State *L, Table *t, int key)
LUAI_FUNC const TValue * | luaH_getstr (Table *t, TString *key)
LUAI_FUNC TValue * | luaH_setstr (lua_State *L, Table *t, TString *key)
LUAI_FUNC const TValue * | luaH_get (Table *t, const TValue *key)
LUAI_FUNC TValue * | luaH_set (lua_State *L, Table *t, const TValue *key)
LUAI_FUNC Table * | luaH_new (lua_State *L, int narray, int lnhash)
LUAI_FUNC void | luaH_resizearray (lua_State *L, Table *t, int nasize)
LUAI_FUNC void | luaH_free (lua_State *L, Table *t)
LUAI_FUNC int | luaH_next (lua_State *L, Table *t, StkId key)
LUAI_FUNC int | luaH_getn (Table *t)

## Define Documentation

#define gkey | ( | n |  | ) | (&(n)->i_key.nk)

#define gnext | ( | n |  | ) | ((n)->i_key.nk.next)

#define gnode | ( | t,
|  | i |  | ) | (&(t)->node[i])

#define gval | ( | n |  | ) | (&(n)->i_val)

#define key2tval | ( | n |  | ) | (&(n)->i_key.tvk)

## Function Documentation

LUAI_FUNC void luaH_free | ( | lua_State * | L,
|  | Table * | t |
| ) |  |  |

LUAI_FUNC const TValue* luaH_get | ( | Table * | t,
|  | const TValue * | key |
| ) |  |  |

LUAI_FUNC int luaH_getn | ( | Table * | t | ) |

LUAI_FUNC const TValue* luaH_getnum | ( | Table * | t,
|  | int | key |
| ) |  |  |

LUAI_FUNC const TValue* luaH_getstr | ( | Table * | t,
|  | TString * | key |
| ) |  |  |

LUAI_FUNC Table* luaH_new | ( | lua_State * | L,
|  | int | narray,
|  | int | lnhash |
| ) |  |  |

LUAI_FUNC int luaH_next | ( | lua_State * | L,
|  | Table * | t,
|  | StkId | key |
| ) |  |  |

LUAI_FUNC void luaH_resizearray | ( | lua_State * | L,
|  | Table * | t,
|  | int | nasize |
| ) |  |  |

LUAI_FUNC TValue* luaH_set | ( | lua_State * | L,
|  | Table * | t,
|  | const TValue * | key |
| ) |  |  |

LUAI_FUNC TValue* luaH_setnum | ( | lua_State * | L,
|  | Table * | t,
|  | int | key |
| ) |  |  |

LUAI_FUNC TValue* luaH_setstr | ( | lua_State * | L,
|  | Table * | t,
|  | TString * | key |
| ) |  |  |